<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
      // class Car {
      //   constructor(brand) {
      //     this._brand = brand; // 'bmw'
      //   }

      //   getBrand() {
      //     return this._brand + "Brand";
      //   }

      //   setBrand(newBrand) {
      //     if (typeof newBrand === "string") {
      //       this._brand = newBrand;
      //     }
      //     console.log("not a string");
      //   }

      //   carBrand(brand) {
      //     // tesla
      //     this._brand = brand + "SettedBrand";
      //   }
      // }

      // const car = new Car("tesla");
      // car.brand = "bmw";

      // console.log(car.getBrand());

      class Car {
      
        constructor(brand) {
          this._brand = brand; // 'bmw'
        }

        get brand() {
          return this._brand + "Brand";
        }

        set brand(carBrand) {
          if(typeof carBrand === 'string') {
            this._brand = carBrand + "SettedBrand";
          } 
        }
      }

      const BMW = new Car("bmw");
      // console.log(BMW.#brand);

      console.log(BMW.brand);
      BMW.brand = 45;

      console.log(BMW);




      // console.log(BMW.carBrand); // bmwBrand
     
      // BMW.carBrand = "tesla";
      // console.log(BMW.brand); // teslaSettedBrand
      // console.log(BMW.carBrand); //teslaSettedBrandBrand
      // console.log(BMW.brand);
      // BMW.brand = "tesla";
      // console.log(BMW.brand);
    </script>
  </body>
</html>
